summaryrefslogtreecommitdiffstats
path: root/tests/data_plane/vpp_lite_topo/test_driver/basic_single_icmp.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/data_plane/vpp_lite_topo/test_driver/basic_single_icmp.sh')
-rw-r--r--tests/data_plane/vpp_lite_topo/test_driver/basic_single_icmp.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/tests/data_plane/vpp_lite_topo/test_driver/basic_single_icmp.sh b/tests/data_plane/vpp_lite_topo/test_driver/basic_single_icmp.sh
new file mode 100644
index 0000000..63c8b5a
--- /dev/null
+++ b/tests/data_plane/vpp_lite_topo/test_driver/basic_single_icmp.sh
@@ -0,0 +1,29 @@
+source config.sh
+source topologies/2_node_topo.sh
+
+if [ "$1" == "clean" ] ; then
+ 2_node_topo_clean no_odl
+ exit 0
+fi
+
+if [[ $(id -u) != 0 ]]; then
+ echo "Error: run this as a root."
+ exit 1
+fi
+
+function test_single_icmp
+{
+ 2_node_topo_setup no_odl
+ maybe_pause
+ test_result=1
+
+ # send only one ping request
+ ip netns exec vppns1 "${1}" -c 1 "${2}"
+ rc=$?
+
+ # test done
+ maybe_pause
+ 2_node_topo_clean no_odl
+ print_status $rc "No ICMP response!"
+ exit $test_result
+}